Auth
POST /auth/otp/request
Request OTP for email or phone authentication
POST
/
auth
/
otp
/
request
cURL
curl --request POST \
--url https://consumer.fanfare.io/api/auth/otp/request \
--header 'Content-Type: application/json' \
--data '
{
"defaultCountry": "<string>",
"email": "[email protected]",
"name": "<string>",
"phone": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
defaultCountry: '<string>',
email: '[email protected]',
name: '<string>',
phone: '<string>'
})
};
fetch('https://consumer.fanfare.io/api/auth/otp/request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://consumer.fanfare.io/api/auth/otp/request"
payload = {
"defaultCountry": "<string>",
"email": "[email protected]",
"name": "<string>",
"phone": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://consumer.fanfare.io/api/auth/otp/request"
payload := strings.NewReader("{\n \"defaultCountry\": \"<string>\",\n \"email\": \"[email protected]\",\n \"name\": \"<string>\",\n \"phone\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"ok": true
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}⌘I
cURL
curl --request POST \
--url https://consumer.fanfare.io/api/auth/otp/request \
--header 'Content-Type: application/json' \
--data '
{
"defaultCountry": "<string>",
"email": "[email protected]",
"name": "<string>",
"phone": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
defaultCountry: '<string>',
email: '[email protected]',
name: '<string>',
phone: '<string>'
})
};
fetch('https://consumer.fanfare.io/api/auth/otp/request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://consumer.fanfare.io/api/auth/otp/request"
payload = {
"defaultCountry": "<string>",
"email": "[email protected]",
"name": "<string>",
"phone": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://consumer.fanfare.io/api/auth/otp/request"
payload := strings.NewReader("{\n \"defaultCountry\": \"<string>\",\n \"email\": \"[email protected]\",\n \"name\": \"<string>\",\n \"phone\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"ok": true
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}